package com.aliyun.vodplayer.demo.activity.advance.liveanswer.bean;


import com.aliyun.vodplayer.utils.JsonUtil;

import org.json.JSONArray;
import org.json.JSONObject;

/*
 * Copyright (C) 2010-2017 Alibaba Group Holding Limited.
 */
public class OptionInfo {
    public String answerId;//string	是	答案ID
    public String answerDesc;//	string	是	答案描述
    public boolean isCorrect;//bool	是	是否正确答案
    public int userNumber;//	int	是	选择人数

    public static OptionInfo[] getFromArray(JSONArray options) {
        if(options == null){
            return null;
        }

        int len = options.length();
        OptionInfo optionInfo[] = new OptionInfo[len];
        for(int i = 0; i < len; i++){
            optionInfo[i] = getFromJson(JsonUtil.getJSONObjectAt(options , i));
        }

        return optionInfo;
    }

    private static OptionInfo getFromJson(JSONObject jsonObjectAt) {
        if(jsonObjectAt == null){
            return null;
        }

        OptionInfo optionInfo = new OptionInfo();
        optionInfo.answerId = JsonUtil.getString(jsonObjectAt,"answerId");
        optionInfo.answerDesc = JsonUtil.getString(jsonObjectAt,"answerDesc");
        optionInfo.isCorrect = JsonUtil.getBoolean(jsonObjectAt,"isCorrect");
        optionInfo.userNumber = JsonUtil.getInt(jsonObjectAt,"userNumber");

        return optionInfo;
    }
}
